{% extends "layout.html" %}
{% import "bootstrap/wtf.html" as wtf %}


{% block title %}
{{page.title}}
{% endblock %}


{% block head %}
    {{ super() }}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css">
{% endblock %}


{% block content %}
<div class="row">
  <div class="col-sm-12">
    <div class="card card-primary card-outline">
      <div class="card-header">
          <h3 class="card-title">
            <i class="fas fa-user-plus"></i>
              {{page.layout.translate("Membership requests", page.user.lang)}}
          </h3>
          <div class="card-tools">
              <div class="btn-group">
                  <button type="button"
                          class="btn btn-default btn-sm btn-flat"
                          data-toggle="modal"
                          data-target="#addUser"
                          title="{{page.layout.translate('Add user', page.user.lang)}}">
                      <i class="fas fa-plus"></i>
                  </button>
              </div>
          </div>
      </div>
      <div class="card-body pad table-responsive">
          {% if message.success != None %}
          <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <h5><i class="icon fas fa-check"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
              {{message.success}}
          </div>
          {% endif %}
          {% if message.error != None %}
          <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
              <h5><i class="icon fas fa-ban"></i> {{page.layout.translate("Alert", page.user.lang)}}!</h5>
              {{message.error}}
          </div>
          {% endif %}
        <table id="membershipRequests" class="table table-hover">
            <thead>
                <tr>
                  <th>{{page.layout.translate("Account", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Reference", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Contact", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Temporary password", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Submission date", page.user.lang)}}</th>
                  <th>{{page.layout.translate("Actions", page.user.lang)}}</th>
                </tr>
            </thead>
            <tbody>
                {% for request in requests %}
                <tr>
                    <td>
                        {{request.first_name}} {{request.last_name}} <small>({{request.username}})</small>
                    </td>
                    <td><small>{{request.reference}}</small></td>
                    <td>
                        <i class="fas fa-envelope"></i> <a href="mailto:{{request.contact.email}}">{{request.contact.email}}</a><br>
                        <i class="fas fa-phone-square"></i> (+{{request.contact.phone.country_code}}){{request.contact.phone.number}}
                    </td>
                    <td><small>{{request.password}}</small></td>
                    <td>{{request.created_at}}</td>
                    <td>
                        <div class="btn-group">
                            <button type="button" class="btn dropdown-toggle" data-toggle="dropdown">
                                <i class="fas fa-ellipsis-v"></i>
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#" data-toggle="modal" data-target="#deleteUser_{{request.reference}}">
                                    <i class="fas fa-trash"></i> {{page.layout.translate("Delete", page.user.lang)}}
                                </a>
                                <a class="dropdown-item" href="/admin/users/requests/accept/{{request.reference}}">
                                    <i class="fas fa-user-check"></i> {{page.layout.translate("Accept", page.user.lang)}}
                                </a>
                            </div>
                        </div>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
      </div>
    </div>
  </div>
</div>
{% endblock %}


{% block subscribe_script %}
<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script>
  $(function () {
    $("#membershipRequests").DataTable({
      "responsive": true,
      "autoWidth": false,
      "fixedHeader": true
    });
  });
</script>

<div class="modal fade" id="addUser">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
          <form method="POST">
            {{ request_membership_form.hidden_tag() }}
            <div class="modal-header">
              <h4 class="modal-title">
                  <i class="fas fa-plus"></i> {{page.layout.translate("Add user", page.user.lang)}}
              </h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-4">
                        {{ wtf.form_field(request_membership_form.username) }}
                    </div>
                    <div class="col-4">
                        {{ wtf.form_field(request_membership_form.first_name) }}
                    </div>
                    <div class="col-4">
                        {{ wtf.form_field(request_membership_form.last_name) }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-8">
                        {{ wtf.form_field(request_membership_form.email) }}
                    </div>
                    <div class="col-4">
                        {{ wtf.form_field(request_membership_form.organism) }}
                    </div>
                </div>
                <div class="row">
                    <div class="col-2">
                        {{ wtf.form_field(request_membership_form.country_code) }}
                    </div>
                    <div class="col-6">
                        {{ wtf.form_field(request_membership_form.number) }}
                    </div>
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">{{page.layout.translate("Cancel", page.user.lang)}}</button>
              <button type="submit" class="btn btn-primary btn-flat">{{page.layout.translate("Save", page.user.lang)}}</button>
            </div>
          </form>
      </div>
    </div>
</div>

{% for request in requests %}
<div class="modal fade" id="deleteUser_{{request.reference}}">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">
              <i class="fas fa-trash"></i> {{page.layout.translate("Delete user", page.user.lang)}}
          </h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p>{{page.layout.translate("Delete", page.user.lang)}} {{request.first_name}} {{request.last_name}} <small>({{request.username}})</small>?</p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">{{page.layout.translate("Cancel", page.user.lang)}}</button>
          <button type="button" class="btn btn-primary btn-flat" onclick="location.href='/admin/users/requests/delete/{{request.reference}}';">{{page.layout.translate("Delete", page.user.lang)}}</button>
        </div>
      </div>
    </div>
</div>
{% endfor %}

{% endblock %}
